Rivet: Parton content classification

| Rivet 3.1.9

Functions
Parton content classification

## Functions
bool | Rivet::PID::isHeavyFlavor (int pid)
| Determine if the particle is a heavy flavour hadron or parton.
bool | Rivet::PID::isHeavyFlavour (int pid)
| British-spelling alias for isHeavyFlavor.
bool | Rivet::PID::isHeavyParton (int pid)
| Determine if the PID is that of a heavy parton (c,b,t)
bool | Rivet::PID::isLightParton (int pid)
| Determine if the PID is that of a light parton (u,d,s)
bool | Rivet::PID::isHeavyMeson (int pid)
| Determine if the PID is that of a heavy flavour (b or c) meson.
bool | Rivet::PID::isHeavyBaryon (int pid)
| Determine if the PID is that of a heavy flavour (b or c) baryon.
bool | Rivet::PID::isHeavyHadron (int pid)
| Determine if the PID is that of a heavy flavour (b or c) hadron.
bool | Rivet::PID::isLightMeson (int pid)
| Determine if the PID is that of a light flavour (not b or c) meson.
bool | Rivet::PID::isLightBaryon (int pid)
| Determine if the PID is that of a light flavour (not b or c) baryon.
bool | Rivet::PID::isLightHadron (int pid)
| Determine if the PID is that of a light flavour (not b or c) hadron.
bool | Rivet::PID::isBottomMeson (int pid)
| Determine if the PID is that of a b-meson.
bool | Rivet::PID::isBottomBaryon (int pid)
| Determine if the PID is that of a b-baryon.
bool | Rivet::PID::isBottomHadron (int pid)
| Determine if the PID is that of a b-hadron.
bool | Rivet::PID::isCharmMeson (int pid)
| Determine if the PID is that of a c-meson.
bool | Rivet::PID::isCharmBaryon (int pid)
| Determine if the PID is that of a c-baryon.
bool | Rivet::PID::isCharmHadron (int pid)
bool | Rivet::PID::isStrangeMeson (int pid)
bool | Rivet::PID::isStrangeBaryon (int pid)
bool | Rivet::PID::isStrangeHadron (int pid)

## Detailed Description

## Function Documentation

## ◆ isCharmBaryon()

bool Rivet::PID::isCharmBaryon | ( | int | pid | ) |
| inline

Determine if the PID is that of a c-baryon.

Note
  Specifically, the heaviest quark is a c: a baryon containing a b & c is a b-baryon and NOT a c-baryon. To test for the simpler case, just use a combination of hasCharm() and isBaryon().

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::isBaryon(), and Rivet::pid().

## ◆ isCharmHadron()

bool Rivet::PID::isCharmHadron | ( | int | pid | ) |
| inline

Determine if the PID is that of a c-hadron.

Note
  Specifically, the heaviest quark is a c: a baryon containing a b & c is a b-baryon and NOT a c-baryon. To test for the simpler case, just use a combination of hasCharm() and isBaryon().

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::isHadron(), and Rivet::pid().

## ◆ isCharmMeson()

bool Rivet::PID::isCharmMeson | ( | int | pid | ) |
| inline

Determine if the PID is that of a c-meson.

Note
  Specifically, the heaviest quark is a c: a B_c is a b-meson and NOT a c-meson. Charmonia (closed charm) are counted as c-mesons here.

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::isMeson(), and Rivet::pid().

## ◆ isStrangeBaryon()

bool Rivet::PID::isStrangeBaryon | ( | int | pid | ) |
| inline

Determine if the PID is that of a strange baryon

Note
  Specifically, the heaviest quark is an s: if it also contains either charm or bottom, it is not considered to be a strange hadron.

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::hasStrange(), Rivet::PID::isBaryon(), and Rivet::pid().

## ◆ isStrangeHadron()

bool Rivet::PID::isStrangeHadron | ( | int | pid | ) |
| inline

Determine if the PID is that of a strange hadron

Note
  Specifically, the heaviest quark is an s: if it also contains either charm or bottom, it is not considered to be a strange hadron.

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::hasStrange(), Rivet::PID::isHadron(), and Rivet::pid().

## ◆ isStrangeMeson()

bool Rivet::PID::isStrangeMeson | ( | int | pid | ) |
| inline

Determine if the PID is that of a strange meson

Note
  Specifically, the heaviest quark is an s: if it also contains either charm or bottom, it is not considered to be a strange hadron.

References Rivet::PID::hasBottom(), Rivet::PID::hasCharm(), Rivet::PID::hasStrange(), Rivet::PID::isMeson(), and Rivet::pid().